[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# EGraphicException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base exception type for an error in a graphic operation.

## Declaration

Source position: graphics.pp line 958

`type EGraphicException = class(Exception)`

## Inheritance

`EGraphicException` |  | Base exception type for an error in a graphic operation.
`Exception`
?
`TObject`

## Description

EGraphicException is an Exception descendant which implements the base class for exceptions raised during graphic operations. It provides a means to handle any of the descendent exceptions, like EInvalidGraphic or EInvalidGraphicOperation.